use moa_uapi::{
    channel::{ConnInfo, MsgInfo, ReplyRecvArgs},
    types::IoVec,
};

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_CHANNEL_CREATE)]
fn sys_channel_create(flags: usize, pulse_depth: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_CHANNEL_CLOSE)]
fn sys_channel_close(chan: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_RECV)]
fn sys_recv(
    chan: u32,
    iov: *mut IoVec,
    iov_cnt: usize,
    timeout: usize,
    info: *mut MsgInfo,
) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_REPLYV)]
fn sys_replyv(rcvid: usize, status: u32, iov: *const IoVec, iov_cnt: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_REPLY_RECV)]
fn sys_reply_recv(args: *const ReplyRecvArgs) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MSG_READ)]
fn sys_msg_read(rcvid: usize, buf: *mut u8, offset: usize, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MSG_WRITE)]
fn sys_msg_write(rcvid: usize, data: *const u8, offset: usize, len: usize) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_MSG_INFO)]
fn sys_msg_info(rcvid: usize, out: *mut MsgInfo) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_CONNECT_INFO)]
fn sys_connect_info(connid: u32, out: *mut ConnInfo) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_CONNECT_REJECT)]
fn sys_connect_reject(connid: u32) -> isize {
    ERR_NOSYS
}
